package com.sky.ioc.controller.security;

import com.sky.ioc.entity.params.IocParam;
import com.sky.ioc.service.personnel.PersonnelService;
import com.sky.ioc.service.security.SecurityService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * TODO
 *
 * @Description
 * @Author LunCe
 * @Date 2023/3/7 9:57
 **/



@Api(tags = "智慧安防----安防人员")
@Slf4j
@RestController
@RequestMapping("/security_person")
public class PersonController {


    @Autowired
    private SecurityService securityService;

    @Autowired
    private PersonnelService personnelService;

    @ApiOperation("核心指标")
    @PostMapping("/getSecurityCoreIndicators")
    public ReturnMsg getSecurityCoreIndicators(@RequestBody IocParam iocParam){
        return personnelService.getSecurityCoreIndicators(iocParam);
    }


    @ApiOperation("保有量")
    @PostMapping("/getPopulationPerson")
    public ReturnMsg getPopulationPerson(@RequestBody IocParam iocParam){
        return personnelService.getPopulationPerson(iocParam);
    }


    @ApiOperation("大楼客流量")
    @PostMapping("/getPassengerFlow")
    public ReturnMsg getPassengerFlow(@RequestBody IocParam iocParam){
        return personnelService.getPassengerFlow(iocParam);
    }

}
